## clutter-gtk 1.8.2

=== debian/changelog ===
clutter-gtk (1.8.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump libgtk-3-dev (build-)dependency to >= 3.21.0 (Closes: #836707)

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/git_disable-dubbel-buffer.patch, merged upstream.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Fix dh_autoreconf override to properly track the changes made by
    autoreconf and use --as-needed.
  * Add Build-Depends-Indep on libgdk-pixbuf2.0-doc, libglib2.0-doc,
    libgtk-3-doc and libclutter-1.0-doc for proper cross-references in the
    gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 18:29:53 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: clutter-gtk
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               gtk-doc-tools,
               libgtk-3-dev (>= 3.21.0),
               libclutter-1.0-dev (>= 1.23.7),
               libjson-glib-dev (>= 0.12),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~)
Build-Depends-Indep: libgdk-pixbuf2.0-doc,
                     libglib2.0-doc,
                     libgtk-3-doc,
                     libclutter-1.0-doc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/clutter-gtk/
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/clutter-gtk/
Homepage: http://www.clutter-project.org/

Package: libclutter-gtk-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Open GL based interactive canvas library GTK+ widget
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-gtk-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
         gir1.2-gtkclutter-1.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.21.0),
         libclutter-1.0-dev (>= 1.23.7),
         ${misc:Depends}
Suggests: libclutter-gtk-1.0-doc
Description: Open GL based interactive canvas library GTK+ widget (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-gtk-1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libclutter-1.0-doc
Suggests: devhelp
Description: Open GL based interactive canvas library GTK+ widget (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

Package: gir1.2-gtkclutter-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Multi-Arch: same
Description: GObject introspection data for the GTK+ Clutter library
 This package contains introspection data for the GTK+ Clutter widget.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir

autoreconf:
	gtkdocize --copy
	autoreconf --force --install --verbose

override_dh_autoreconf:
	dh_autoreconf --as-needed debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-introspection=yes

override_dh_strip:
	dh_strip --dbgsym-migration="libclutter-gtk-1.0-dbg (<< 1.8.0-2~)"

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X .c

## clutter-gtk 1.8.4

=== meson_options.txt ===
option('enable_docs',
       type: 'boolean',
       value: false,
       description: 'Enable generating the API reference (depends on GTK-Doc)')

=== debian/changelog ===
clutter-gtk (1.8.4-6) unstable; urgency=medium

  * Add debian/upstream/metadata (although upstream project is archived)
  * Remove obsolete Homepage
  * Add Build-Depends: dh-sequence-gir
  * Opt into dpkg build API v1
  * Remove obsolete dbgsym migration rules
  * Stop using dh-sequence-gnome
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 13:40:12 -0500

clutter-gtk (1.8.4-5) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Helmut Grohne ]
  * d/rules: Skip documentation in arch-only build.
    This fixes failure to cross-build. (Closes: #1061249)

  [ Simon McVittie ]
  * d/control: Stop generating from a template
  * d/control: Add gir:Depends, gir:Provides to -dev package
  * d/salsa-ci.yml: Add
  * Bump debhelper compat level to recommended 13
    - Stop overriding dh_missing to add --fail-missing, now the default
    - Temporarily disable dh_dwz for easier validation with diffoscope
  * Re-enable dh_dwz

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Jan 2025 15:05:37 +0000

clutter-gtk (1.8.4-4) unstable; urgency=medium

  * Bump debhelper compat to 11
  * Restore -Wl,-O1 to our LDFLAGS
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:40:41 -0500

clutter-gtk (1.8.4-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Update Multi-Arch metadata as recommended by the multiarch hinter

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 20:31:59 -0500

clutter-gtk (1.8.4-2) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Fix high CPU usage (particularly in Wayland sessions) when clutter redraws.
    Hardware redraws of the clutter stage were unexpectedly triggering software
    redraws of the backing window and its decorations. On _every_ frame.
    This halves the CPU usage of totem and gnome-maps. (LP: #1698282)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Oct 2017 21:50:47 -0400

clutter-gtk (1.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes.
  * Use dh_missing --fail-missing instead of dh_install --list-missing.
  * Add locale files to debian/not-installed
  * Delete *.la
  * Update debian/libclutter-gtk-1.0-0.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 20:54:59 +0200

clutter-gtk (1.8.2-2) unstable; urgency=medium

  * Fix broken /usr/share/doc/libclutter-gtk-1.0-doc/html symlink.
    (Closes: #858504)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Mar 2017 23:56:19 +0100

=== debian/control ===
Source: clutter-gtk
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-build-api (= 1),
               gtk-doc-tools,
               libgtk-3-dev (>= 3.21.0),
               libclutter-1.0-dev (>= 1.23.7),
               libjson-glib-dev (>= 0.12),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 1.32)
Build-Depends-Indep: libgdk-pixbuf2.0-doc,
                     libglib2.0-doc,
                     libgtk-3-doc,
                     libclutter-1.0-doc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/clutter-gtk
Vcs-Git: https://salsa.debian.org/gnome-team/clutter-gtk.git

Package: libclutter-gtk-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: Open GL based interactive canvas library GTK+ widget
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.

Package: libclutter-gtk-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libclutter-gtk-1.0-0 (= ${binary:Version}),
         gir1.2-gtkclutter-1.0 (= ${binary:Version}),
         libgtk-3-dev (>= 3.21.0),
         libclutter-1.0-dev (>= 1.23.7),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Suggests: libclutter-gtk-1.0-doc
Description: Open GL based interactive canvas library GTK+ widget (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-gtk-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libclutter-1.0-doc
Suggests: devhelp
Description: Open GL based interactive canvas library GTK+ widget (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

Package: gir1.2-gtkclutter-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: GObject introspection data for the GTK+ Clutter library
 This package contains introspection data for the GTK+ Clutter widget.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

%:
	dh $@

autoreconf:
ifneq (,$(filter libclutter-gtk-1.0-doc,$(built_binaries)))
	gtkdocize --copy
endif
	autoreconf --force --install --verbose

override_dh_autoreconf:
	dh_autoreconf --as-needed debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--$(if $(filter libclutter-gtk-1.0-doc,$(built_binaries)),en,dis)able-gtk-doc \
		--enable-introspection=yes

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

override_dh_compress:
	dh_compress -X .c
